DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Member Functions | Private Attributes | Static Private Attributes | List of all members
TrcTractographyResultsModule Class Reference

Class representing the Tractography Results Module. More...

Inheritance diagram for TrcTractographyResultsModule:

## Public Member Functions
| TrcTractographyResultsModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| TrcTractographyResultsModule ()
| Constructor.
virtual | ~TrcTractographyResultsModule ()
| Destructor.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read data into this module from given item. More...
virtual OFCondition | write (DcmItem &destination)
| Write this module to given item. More...
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component. More...
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of macro. More...
virtual OFVector< TrcTrackSet * > & | getTrackSets ()
| Get track sets. More...
virtual ContentIdentificationMacro & | getContentIdentification ()
| Get Content Identification Macro. More...
virtual IODReferences & | getReferencedInstances ()
| Return references to images that contributed to the Tractography Results object. More...
virtual OFCondition | getContentDate (OFString &value, const signed long pos=0)
| Get Content Date. More...
virtual OFCondition | getContentTime (OFString &value, const signed long pos=0)
| Get Content Time. More...
virtual OFCondition | setContentDate (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Date. More...
virtual OFCondition | setContentTime (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Time. More...
virtual OFCondition | addImageReference (const IODReference &imageRef)
| Add reference to image which was used to create this Tractography Results object. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Protected Member Functions
virtual OFCondition | checkColoring ()
| Check whether color information is valid, i.e. More...

## Private Attributes
ContentIdentificationMacro | m_ContentIdentification
| Content Identification for this Tractography Results object.
OFVector< TrcTrackSet * > | m_TrackSets
| Content Identification for this Tractography Results object.
IODReferences | m_ReferencedInstances
| Referenced instances, represents content of Referenced Instance Sequence.

## Static Private Attributes
static const OFString | m_ModuleName
| The module's name ("TractographyResultsModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the Tractography Results Module.

## Constructor & Destructor Documentation

## ◆ TrcTractographyResultsModule()

TrcTractographyResultsModule::TrcTractographyResultsModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates a new set of rules and adds its own rules to it.

## Member Function Documentation

## ◆ addImageReference()

virtual OFCondition TrcTractographyResultsModule::addImageReference | ( | const IODReference & | imageRef | ) |
| virtual

Add reference to image which was used to create this Tractography Results object.

Alternatively, getReferencedInstances() can be used.

Parameters

  imageRef | The image reference to add

Returns
  EC_Normal if adding was successful, error otherwise

## ◆ check()

virtual OFCondition TrcTractographyResultsModule::check | ( | const OFBool | quiet = `OFFalse` | ) |
| virtual

Check whether this component's data satisfies the underlying rules.

Parameters

  quiet | If OFTrue, not error / warning messages will be produced. Only the returned error code will indicate error or OK. Per default, logging output is produced (OFFalse).

Returns
  EC_Normal if rules are satisfied, error otherwise

Reimplemented from IODComponent.

## ◆ checkColoring()

virtual OFCondition TrcTractographyResultsModule::checkColoring | ( |  | ) |
| protected virtual

Check whether color information is valid, i.e.

coloring is either (for each Track Set): Per Track Set, per Track or Data Point-specific.

Returns
  EC_Normal if rules are satisfied, error otherwise

## ◆ clearData()

virtual void TrcTractographyResultsModule::clearData | ( |  | ) |
| virtual

Clear (removes) all attributes handled by the modules of this component.

Rules are not reset.

Reimplemented from IODComponent.

## ◆ getContentDate()

virtual OFCondition TrcTractographyResultsModule::getContentDate | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Content Date.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getContentIdentification()

virtual ContentIdentificationMacro& TrcTractographyResultsModule::getContentIdentification | ( |  | ) |
| virtual

Get Content Identification Macro.

Returns
  Reference to Content Identification Macro

## ◆ getContentTime()

virtual OFCondition TrcTractographyResultsModule::getContentTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Content Time.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString TrcTractographyResultsModule::getName | ( |  | ) | const
| virtual

Get name of macro.

Returns
  Name of the module ("TractographyResultsModule")

Implements IODComponent.

## ◆ getReferencedInstances()

virtual IODReferences& TrcTractographyResultsModule::getReferencedInstances | ( |  | ) |
| virtual

Return references to images that contributed to the Tractography Results object.

The references is populated from the content of the Referenced Instance Sequence (and will be used for populating it when writing)

Returns
  Reference to IODReferences

## ◆ getTrackSets()

virtual OFVector<TrcTrackSet*>& TrcTractographyResultsModule::getTrackSets | ( |  | ) |
| virtual

Get track sets.

Returns
  Reference to track sets

## ◆ read()

virtual OFCondition TrcTractographyResultsModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read data into this module from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data in this module is cleared first (default: OFTrue)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## ◆ setContentDate()

virtual OFCondition TrcTractographyResultsModule::setContentDate | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Content Date.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setContentTime()

virtual OFCondition TrcTractographyResultsModule::setContentTime | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Content Time.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition TrcTractographyResultsModule::write | ( | DcmItem & | destination | ) |
| virtual

Write this module to given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmtract/include/dcmtk/dcmtract/trcmodtractresults.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1